Bug 188948

Summary: fully virtualized systems startup crash system to reboot
Product: [Fedora] Fedora Reporter: Matthias Bayer <matbayer.web>
Component: xenAssignee: Steven Rostedt <srostedt>
Status: CLOSED WONTFIX QA Contact: Martin Jenner <mjenner>
Severity: high Docs Contact:
Priority: medium    
Version: 5CC: bstein, katzj, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-26 18:04:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
output on serial console of crash none

Description Matthias Bayer 2006-04-13 16:36:26 EDT
Description of problem:
Hi,

i am running kernel-xen0-2.6.16-1.2080_FC5 and xen-3.0.1-4 on HP xw4300 system 
with Intel VT. processor info:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Pentium(R) 4 CPU 3.80GHz
stepping        : 10
cpu MHz         : 2400.000
cache size      : 2048 KB
fdiv_bug        : no
hlt_bug         : yes
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush 
dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc pni monitor ds_cpl 
vmx est tm2
 cid cx16 xtpr lahf_lm
bogomips        : 10601.43

system has 4GB of RAM.

i have installed 3 fully virtualized system (using qemu), 2 windows systems 
one RHEL4 system.

i can start one of these fully virtualized systems without problems. starting 
the second fully virtualized system leads to a complete crash of the computer -
 no more logs are written - system just reboots after some seconds !!!
actual behaviour:
'xm create <DomUNAME>' DomU starts but no CPU time is consumed, running 'xm 
shutdown <ID>' and directly afterwards 'xm create <DomUNAME>' creates the DomU 
and runs it fine. starting the second DomU system the same way the crash 
appears immediately.

output of serial console is attached as file xencrashdebug.txt. (content shows 
that hypervisor runs out of memory).

each DomU has 512MB of memory assigned. config file of DomU is:

# Automatically generated xen config file
name = "WinXPPro_VaseVT"
builder = "hvm"
memory = "512"
disk = [ 'file:/images/WinXPPro_VaseVT.img,ioemu:hda,w' ]
vif = [ 'type=ioemu,bridge=xenbr0,mac=00:16:3e:78:ac:cd' ]
on_reboot   = 'restart'
on_crash    = 'restart'
kernel = '/usr/lib/xen/boot/hvmloader'
device_model = '/usr/lib/xen/bin/qemu-dm'
sdl = 0 # use SDL for graphics
vnc = 1 # use VNC for graphics
vncviewer = 0 # spawn vncviewer by default
nographic = 0 # don't use graphics
serial='pty' # enable serial console

grub configuration of Dom0 is:

title Fedora Core (2.6.16-1.2080_FC5xen0debug)
        root (hd0,1)
        kernel /xen.gz-2.6.16-1.2080_FC5 com1=38400,8n1 sync_console 
        module /vmlinuz-2.6.16-1.2080_FC5xen0 ro root=LABEL=/ rhgb quiet 
console=ttyS0 console=tty pnpacpi=off
        module /initrd-2.6.16-1.2080_FC5xen0.img



!!  FIX/WORKAROUND:
adding dom0_mem=1G as kernelparameter in grub worked around the problem
so now grub conf looks like:

title Fedora Core (2.6.16-1.2080_FC5xen0debug)
        root (hd0,1)
        kernel /xen.gz-2.6.16-1.2080_FC5 com1=38400,8n1 sync_console 
dom0_mem=1G
        module /vmlinuz-2.6.16-1.2080_FC5xen0 ro root=LABEL=/ rhgb quiet 
console=ttyS0 console=tty pnpacpi=off
        module /initrd-2.6.16-1.2080_FC5xen0.img


Version-Release number of selected component (if applicable):
xen-3.0.1-4
kernel-xen0-2.6.16-1.2080_FC5

How reproducible:
just create 2 fully virtualized systems. don't set the dom0_mem= option in 
grub to boot the Dom0. start the first fully virtualized system. if it runs 
just start the second fully virtualized system - CRASH !

Steps to Reproduce:
1.
2.
3.
  
Actual results:
CRASH

Expected results:
both DomU's start without crashing the whole system and reboot the computer

Additional info:
Comment 1 Matthias Bayer 2006-04-13 16:36:26 EDT
Created attachment 127725 [details]
output on serial console of crash
Comment 2 Brian Stein 2006-04-25 18:37:05 EDT
*** Bug 188949 has been marked as a duplicate of this bug. ***
Comment 3 Stephen Tweedie 2007-03-16 11:06:45 EDT
Is this still reproducible on the latest stable release+updates?  Thanks.
Comment 5 Red Hat Bugzilla 2007-07-24 19:51:36 EDT
change QA contact
Comment 6 Chris Lalancette 2008-02-26 18:04:01 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks